#ifndef __WHILEPROGRAMS__WHILELEXER_H
    #define __WHILEPROGRAMS__WHILELEXER_H

    #ifndef yyFlexLexerOnce
        #define yyFlexLexer WHILE_FlexLexer
        #include<FlexLexer.h>
    #endif

    #undef YY_DECL
    #define YY_DECL int WhileLexer::yylex()


    #include "parser.hpp"


    class WhileLexer : public WHILE_FlexLexer
    {
        private:
            yy::WhileParser::semantic_type* yylval;
            int yylex();
        public:
            int yylex(yy::WhileParser::semantic_type* lval);
            WhileLexer(std::istream& is);
            int GetCurrentLineNumber();
    };

#endif
